package cn.com.ctop.alarm.modules.mapper;

import cn.com.ctop.alarm.modules.entity.RuleAccountThreshold;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 规则关联账户 阈值
 *
 * @author: jeecg-boot
 * @date: 2020-11-15
 * @cersion: V1.0
 */
public interface RuleAccountThresholdMapper extends BaseMapper<RuleAccountThreshold> {

    List<RuleAccountThreshold> selectByAccountId(Long accountId);

    List<Long> selectGroupIdsByAccountId(Long accountId);

    List<String> selectbatchNosByGroupIdId(Long accountId, Long groupId);

    List<RuleAccountThreshold> selectCopyThresholdByAccountId(Long accountId, Long groupId, String batchNo);
    List<String> getBatchNo(@Param("accountId") Long accountId, @Param("groupId") Long groupId);

    List<RuleAccountThreshold> selectBatchNoByAccountId(Long accountId);
}
